## shopper 0.5.8beta1

=== debian/changelog ===
shopper (0.5.8beta1) unstable; urgency=low

  * Start to PR1.2-ise it...

 -- David Greaves <david@dgreaves.com>  Sat, 05 Jun 2010 21:03:36 +0100

shopper (0.5.7) unstable; urgency=low

  * Removed notify/toolbar icon
  * Fixed moving items from one category to another.
  * Item dialog shows correct category in dropdown
  * Fixed sort order of items
  * Allow deletion of active category
  * Switch to new category when added
  * Ensure dropdown shows current category when adding new item

 -- David Greaves <david@dgreaves.com>  Sat, 14 Mar 2009 23:49:43 +0000

shopper (0.5.6) unstable; urgency=low

  * Added support for landscape/portrait rotation - see http://wiki.maemo.org/Rotation to enable it
  * Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper' for pelago
  * Added finger scrolling to the category manager
  * Some improvements in scaling the fonts
  * Gui tweaks: added strikeout when out shopping and notes boxes have lines
  * Fixed QVariant bug spotted by Andrew Olmsted <andrew.olmsted@gmail.com>
  * Added basic website and some help text to garage
  * Lots of code tidying by Erik Hovland  <erik@hovland.org>
  
 -- David Greaves <david@dgreaves.com>  Sat, 07 Mar 2009 23:44:06 +0000

shopper (0.5.5) unstable; urgency=low

  * Ensure upgrade description shows up.

 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 10:15:57 +0000

shopper (0.5.4) unstable; urgency=low

  * Fixed crash when zooming and scrollbar goes away

 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 00:21:25 +0000

shopper (0.5.3) unstable; urgency=low

  * Adding new category now shows and selects newly added category
  * Reduced un-needed signals
  * Undefined debugging in most files
  * Tweaked setting focus when adding a category
  * Changed update() to updateVisibility() to avoid overridding Qt methods
  * Implemented zooming to scale text
  * Mainwindow appears immediately with a loading message
  * Fixed the timer hack in CategoryDialog
  * Added some colour
  * Category headings scroll
  * Scroll area stays in same place when scaling
  * Colors done in C++, not stylesheets (for speed)
  * Fixed gesture issue
  * Finger scrolling feel improved a lot
  
 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 00:01:47 +0000

shopper (0.5.2) unstable; urgency=low

  * Refactored shopperList to List/Category/Item
  * Refactored shopperView to ListView/CategoryView/ItemView
  * ListView is now a heirarchy
  * Changed shopper icon to have some whitespace/border (fixes bug#4154)
  * Added XB-Maemo-Display-Name: Shopper to the debian/control file : Fixes #4152
  * Add XB-Maemo-Icon-26: section with uuencoded 26x26 png to the debian/control
    file : Fixes #4153
  * Moved List state handling into the data space to allow consistent behaviour.
  * fixed a bug in tick visibility after widget heirarchy re-org - use update() consistently
  * Began improving preference handling
  * Preferences now take effect at once

 -- David Greaves <david@dgreaves.com>  Sun, 01 Mar 2009 00:10:35 +0000

shopper (0.5.1) unstable; urgency=low

  * Fixed "Open dialogue only shows xml files" for GA.
  * Removed gestures on the Item Dialog until they're tested more
  * Converted Event playback to use QPointers to avoid sending to deleted QWidgets - fixes sporadic crash on delete I hope

 -- David Greaves <david@dgreaves.com>  Tue, 24 Feb 2009 20:41:42 +0000

shopper (0.5) unstable; urgency=low

  * Functional Qt version
  * Added Finger scrolling and gestures

 -- David Greaves <david@dgreaves.com>  Thu, 19 Feb 2009 22:09:44 +0000

shopper (0.4) unstable; urgency=low

  * Based on qt example
  * Empty application

 -- David Greaves <david@dgreaves.com>  Mon, 19 Jan 2009 16:52:21 +0000

## shopper 0.5.8beta2

=== src/Makefile ===
#############################################################################
# Makefile for building: ../qtshopper
# Generated by qmake (2.01a) (Qt 4.4.3) on: Sun Jan 25 17:44:19 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtXml -I/targets/DIABLO_ARMEL/usr/include/qt4/QtXml -I/targets/DIABLO_ARMEL/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		shopperList.cc \
		xmlList.cc \
		ui/mainwindow.cc \
		ui/shopperView.cc moc_mainwindow.cpp \
		moc_shopperView.cpp \
		qrc_application.cpp
OBJECTS       = main.o \
		shopperList.o \
		xmlList.o \
		mainwindow.o \
		shopperView.o \
		moc_mainwindow.o \
		moc_shopperView.o \
		qrc_application.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = qtshopper
DESTDIR       = ../
TARGET        = ../qtshopper

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtshopper1.0.0 || $(MKDIR) .tmp/qtshopper1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtshopper1.0.0/ && $(COPY_FILE) --parents ui/mainwindow.h ui/shopperView.h .tmp/qtshopper1.0.0/ && $(COPY_FILE) --parents application.qrc .tmp/qtshopper1.0.0/ && $(COPY_FILE) --parents main.cc shopperList.cc xmlList.cc ui/mainwindow.cc ui/shopperView.cc .tmp/qtshopper1.0.0/ && (cd `dirname .tmp/qtshopper1.0.0` && $(TAR) qtshopper1.0.0.tar qtshopper1.0.0 && $(COMPRESS) qtshopper1.0.0.tar) && $(MOVE) `dirname .tmp/qtshopper1.0.0`/qtshopper1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtshopper1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_shopperView.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_shopperView.cpp
moc_mainwindow.cpp: shopperList.h \
		ui/shopperView.h \
		ui/CChooser.h \
		ui/mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ui/mainwindow.h -o moc_mainwindow.cpp

moc_shopperView.cpp: shopperList.h \
		ui/shopperView.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ui/shopperView.h -o moc_shopperView.cpp

compiler_rcc_make_all: qrc_application.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_application.cpp
qrc_application.cpp: application.qrc \
		images/new.png \
		images/copy.png \
		images/cut.png \
		images/save.png \
		images/paste.png \
		images/open.png
	/usr/bin/rcc -name application application.qrc -o qrc_application.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cc shopperList.h \
		ui/mainwindow.h \
		ui/shopperView.h \
		ui/CChooser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

shopperList.o: shopperList.cc shopperList.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shopperList.o shopperList.cc

xmlList.o: xmlList.cc shopper.h \
		shopperList.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o xmlList.o xmlList.cc

mainwindow.o: ui/mainwindow.cc ui/mainwindow.h \
		shopperList.h \
		ui/shopperView.h \
		ui/CChooser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ui/mainwindow.cc

shopperView.o: ui/shopperView.cc shopper.h \
		shopperList.h \
		ui/ItemDialog.h \
		ui/shopperView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shopperView.o ui/shopperView.cc

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_shopperView.o: moc_shopperView.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shopperView.o moc_shopperView.cpp

qrc_application.o: qrc_application.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_application.o qrc_application.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-strip "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_iconxpm: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/pixmap/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/pixmap/ 
	-$(INSTALL_FILE) /everything/devel/maemo/qt4/qtshopper-git/src/data/maemo/qtshopper.xpm $(INSTALL_ROOT)/usr/local/share/pixmap/


uninstall_iconxpm:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/pixmap/qtshopper.xpm
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/pixmap/ 


install_icon26: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 
	-$(INSTALL_FILE) /everything/devel/maemo/qt4/qtshopper-git/src/data/26x26/qtshopper.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/


uninstall_icon26:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/qtshopper.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 


install_icon40: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/40x40/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/40x40/apps/ 
	-$(INSTALL_FILE) /everything/devel/maemo/qt4/qtshopper-git/src/data/40x40/qtshopper.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/40x40/apps/


uninstall_icon40:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/40x40/apps/qtshopper.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/40x40/apps/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/

=== debian/changelog ===
shopper (0.5.8beta2) unstable; urgency=low

  * Start to PR1.2-ise it...

 -- David Greaves <david@dgreaves.com>  Sat, 05 Jun 2010 21:03:36 +0100

## shopper 0.5.9

=== debian/changelog ===
shopper (0.5.9) unstable; urgency=low

  * The "oh yes, 0.5.8beta2 is higher than 0.5.8" version
  * Notes now appear as text in brackets
  * Use red arrows instead of media icons
  * When cycling categories, only show those with something in them to display
  * Added version string and bug tinyurl to About. Closes #4266.
  * Ensure category being edited is always visible. Fixes #4714
  * Allow last category to be deleted. Fixes #4715
  * Use Qt XML writer. Hopefully closes #4267
  * Fixed icon transparency. Fixes #4903
  * Added Cosmin Mogos' "import" feature - thanks and sorry it took a while
 
 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 17:10:28 +0100
  

shopper (0.5.8) unstable; urgency=low

  * Ready for N900
  * Selection by left->right or right->left swipe
  * Editing by left->right->left or right->left->right swipe
  * Making list now allows all notes to be cleared
  * Rotation changes to simpler UI
  * Lots of other tweaks
  * Sample list has some hints+tips

 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 10:01:13 +0100

## shopper 0.5.9-1

=== debian/changelog ===
shopper (0.5.9-1) unstable; urgency=low

  * Fixing test-automation bugs... XSBC-Bugtracker

 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 17:51:27 +0100

=== debian/control ===
Source: shopper
Section: user/office
Priority: optional
Maintainer: David Greaves <david@dgreaves.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libxrandr-dev
Standards-Version: 3.7.2

Package: shopper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager
Description: Shopping List application
 Provides a shopping list with categories and a UI that's useful
 whilst shopping.  The list can be scrolled using your fingers and the
 items are crossed of the list with a left-right scribbling gesture. 
 Zooming is now supported so the items are easier to select for those of
 us with pudgy (sorry, "manly") fingers...
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAAkAAAAJABhkKK/QAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAANwSURBVEiJvZbdaxxlFMZ/592PZje7IW2S
 WsyHVVqxFC29adFsQAWLF+KF/glJitakFHtvciEIvakmUWnMpXghVFRKRFBL
 Y7dNtqFGsaLiRcG0UNtY8zmzszPneJFEVrubxJL2gWFgnsPzm3Pel5lXzIz7
 IXdfKEAcINd5ImtSu78YS1ycPHW4dC9Ayx251Fsidi6lwfe5zoFn7h1I3Bjg
 GezBuW86ugff22yQrG6GJ199e2esFH8H4UUAE7c/P3xkatNBq8p1D/0I7DXh
 aH64Z7Dce+r1k6loJpmuiUm6lNDaOJI2JK1hlI6JpNVZrUHaIWlTSSOWSrjk
 wNlTh2/FK8C/BfaK2pu57qHjQHr1ciTEJY0IwykoBhjiBF0eAwLYcgsKuJIF
 W4HeO0AGeYFXTCSjoT+KRb6a8yD0VNU3xXOEvql6EaFnUeSHFvpRyfdNoqWw
 OO+HYeBHshS2tT1/GZXrsLK9y6Xx8HwsjCPgZv3rH8/7N66V+4mqi7By3wKy
 JZHcWrt7F5BA9JeKoIvvH7va0TX4l4nUZ7M7no2yfFYtey0laHoMA8RVBgGY
 kwLGobjU5FINTWfvBhSfTe0mQOtq9LeqIFFGTTgkxHYlGx+ouxtQbL74sBH9
 PjrQW6wKUufOiSmoZdKp+gfJJBc2Ei5BlIxuLbQxW3zIAn3csPFVryLoQvPN
 H9qnGwIgyVywJ9ZYd+W/NWYqdnNpu/651Gpzfpt6xWYLoh1iOMDAfjXl5D8v
 Ue030dE1NGXCPjLxSX00+wmLmpW5oFW8sAVPWwm0GbMallNvCDaOuQkHhcDX
 S+Mf9s6V51XsCICYfYXKPhZKT8h3tx8RY9uKs2jCpIPTKhQis4nxD3qnq+as
 C1I5AxzHXALTTwXyihUutN7+yfr6dL3gDYM8lyzUaFBCLBEz99HYyGtf/9/w
 clVdI4CO7qEJgwMYEwg/bzjVxMzZmfxwz+nVR9VHBxh8CRxAOAgc3DBIDDF7
 AdgYKN8y099+bZtZZMfEScaQPMblKulZiF4WJINjTDR24t/sdU5B7d1DfQL9
 839cJdPUNp8fOVrxS5HrevcNQ/sXZ6altqFlNj/SW1/ur9kRgAgFDLLbdwI2
 UbXQ2ZSYSKaxFbBLd9jrgc4P93zhxJ4Ws07Ue2mNus9F7DlDjlSqW3d0m6W/
 AQXRkTEAYlIsAAAAAElFTkSuQmCC
XB-Maemo-Display-Name: Shopper
XSBC-Bugtracker: https://bugs.maemo.org/
XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
 Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
 Added finger scrolling to the category manager;
 Strikeout when out shopping and notes boxes have lines;
 Removed notify/toolbar icon; Items now appear in sorted order.
 Help on the website:
        http://shopper.garage.maemo.org/

## shopper 0.5.9-2

=== debian/changelog ===
shopper (0.5.9-2) unstable; urgency=low

  * Update to fix -testing feedback
  * About/Help has links to online help
  * New only shows first time it's used
  * Fixed /opt path for icons
  * added Erik Hovland's cleanups - thanks

 -- David Greaves <david@dgreaves.com>  Tue, 08 Jun 2010 18:22:58 +0100

## shopper 0.5.10

=== debian/changelog ===
shopper (0.5.10) unstable; urgency=low

  * Release for Extras
  * Ported to N900 with lots of UI tweaks to make it fit the phone
  * Autorotation, more reliable gestures and simple theme
  * Shopper now handles international characters - you can buy Mjölk! (Closes #10624)
  * Extensive update to help text
  * Added Erik Hovland's code cleanups
  * Added "Import list" feature from Cosmin Mogos

 -- David Greaves <david@dgreaves.com>  Fri, 11 Jun 2010 22:06:57 +0100

## shopper 0.5.11

=== debian/changelog ===
shopper (0.5.11) unstable; urgency=low

  * Release for Extras
  * Ported to N900 with lots of UI tweaks to make it fit the phone
  * Autorotation, more reliable gestures and simple theme
  * Shopper now handles international characters - you can buy Mjölk! (Closes #10624)
  * Extensive update to help text
  * Added Erik Hovland's code cleanups
  * Added "Import list" feature from Cosmin Mogos

 -- David Greaves <david@dgreaves.com>  Fri, 11 Jun 2010 22:06:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,7 @@
 Description: Shopping List application
  Provides a shopping list with categories and a UI that's useful
  whilst shopping.  The list can be scrolled using your fingers and the
- items are crossed of the list with a left-right scribbling gesture. 
- Zooming is now supported so the items are easier to select for those of
- us with pudgy (sorry, "manly") fingers...
+ items are crossed of the list with a left->right scribbling gesture.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAAkAAAAJABhkKK/QAAABl0RVh0U29mdHdhcmUAd3d3
@@ -42,7 +40,6 @@
 XSBC-Bugtracker: https://bugs.maemo.org/
 XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
  Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
- Added finger scrolling to the category manager;
  Strikeout when out shopping and notes boxes have lines;
  Removed notify/toolbar icon; Items now appear in sorted order.
  Help on the website:

## shopper 0.5.12

=== Makefile ===
#############################################################################
# Makefile for building: shopper
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Nov 28 17:15:03 2009
# Project:  shopper.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile shopper.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DSHOPPER_VERSION=0.5.7 -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -Isrc -Isrc/ui -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lXrandr -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/CatListModel.cc \
		src/main.cc \
		src/Item.cc \
		src/Category.cc \
		src/List.cc \
		src/xmlList.cc \
		src/ui/CategoryDialog.cc \
		src/ui/ItemDialog.cc \
		src/ui/PreferencesDialog.cc \
		src/ui/LabelEntry.cc \
		src/ui/ActiveLabel.cc \
		src/ui/NoteWidget.cc \
		src/ui/mainwindow.cc \
		src/ui/notify.cc \
		src/ui/ItemView.cc \
		src/ui/CategoryView.cc \
		src/ui/ListView.cc \
		src/ui/QFingerScrollArea.cc \
		src/ui/Gesture.cc \
		src/ui/GestureWatcher.cc \
		src/ui/GestureReader.cc \
		src/ui/QOrientationCapability/qorientationcapability.cpp moc_CatListModel.cpp \
		moc_Item.cpp \
		moc_Category.cpp \
		moc_List.cpp \
		moc_CategoryDialog.cpp \
		moc_ItemDialog.cpp \
		moc_PreferencesDialog.cpp \
		moc_LabelEntry.cpp \
		moc_ActiveLabel.cpp \
		moc_NoteWidget.cpp \
		moc_mainwindow.cpp \
		moc_notify.cpp \
		moc_ItemView.cpp \
		moc_CategoryView.cpp \
		moc_ListView.cpp \
		moc_QFingerScrollArea.cpp \
		moc_Gesture.cpp \
		moc_qorientationcapability.cpp
OBJECTS       = CatListModel.o \
		main.o \
		Item.o \
		Category.o \
		List.o \
		xmlList.o \
		CategoryDialog.o \
		ItemDialog.o \
		PreferencesDialog.o \
		LabelEntry.o \
		ActiveLabel.o \
		NoteWidget.o \
		mainwindow.o \
		notify.o \
		ItemView.o \
		CategoryView.o \
		ListView.o \
		QFingerScrollArea.o \
		Gesture.o \
		GestureWatcher.o \
		GestureReader.o \
		qorientationcapability.o \
		moc_CatListModel.o \
		moc_Item.o \
		moc_Category.o \
		moc_List.o \
		moc_CategoryDialog.o \
		moc_ItemDialog.o \
		moc_PreferencesDialog.o \
		moc_LabelEntry.o \
		moc_ActiveLabel.o \
		moc_NoteWidget.o \
		moc_mainwindow.o \
		moc_notify.o \
		moc_ItemView.o \
		moc_CategoryView.o \
		moc_ListView.o \
		moc_QFingerScrollArea.o \
		moc_Gesture.o \
		moc_qorientationcapability.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		shopper.pro
QMAKE_TARGET  = shopper
DESTDIR       = 
TARGET        = shopper

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: shopper.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile shopper.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile shopper.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/shopper1.0.0 || $(MKDIR) .tmp/shopper1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/shopper1.0.0/ && $(COPY_FILE) --parents src/CatListModel.h src/shopper.h src/shopperList.h src/Item.h src/Category.h src/List.h src/ui/CategoryDialog.h src/ui/ItemDialog.h src/ui/PreferencesDialog.h src/ui/LabelEntry.h src/ui/ActiveLabel.h src/ui/NoteWidget.h src/ui/mainwindow.h src/ui/notify.h src/ui/ItemView.h src/ui/CategoryView.h src/ui/ListView.h src/ui/QFingerScrollArea.h src/ui/Gesture.h src/ui/GestureWatcher.h src/ui/GestureReader.h src/ui/QOrientationCapability/qorientationcapability.h src/ui/QOrientationCapability/QOrientationCapability_global.h .tmp/shopper1.0.0/ && $(COPY_FILE) --parents src/CatListModel.cc src/main.cc src/Item.cc src/Category.cc src/List.cc src/xmlList.cc src/ui/CategoryDialog.cc src/ui/ItemDialog.cc src/ui/PreferencesDialog.cc src/ui/LabelEntry.cc src/ui/ActiveLabel.cc src/ui/NoteWidget.cc src/ui/mainwindow.cc src/ui/notify.cc src/ui/ItemView.cc src/ui/CategoryView.cc src/ui/ListView.cc src/ui/QFingerScrollArea.cc src/ui/Gesture.cc src/ui/GestureWatcher.cc src/ui/GestureReader.cc src/ui/QOrientationCapability/qorientationcapability.cpp .tmp/shopper1.0.0/ && (cd `dirname .tmp/shopper1.0.0` && $(TAR) shopper1.0.0.tar shopper1.0.0 && $(COMPRESS) shopper1.0.0.tar) && $(MOVE) `dirname .tmp/shopper1.0.0`/shopper1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/shopper1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_CatListModel.cpp moc_Item.cpp moc_Category.cpp moc_List.cpp moc_CategoryDialog.cpp moc_ItemDialog.cpp moc_PreferencesDialog.cpp moc_LabelEntry.cpp moc_ActiveLabel.cpp moc_NoteWidget.cpp moc_mainwindow.cpp moc_notify.cpp moc_ItemView.cpp moc_CategoryView.cpp moc_ListView.cpp moc_QFingerScrollArea.cpp moc_Gesture.cpp moc_qorientationcapability.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_CatListModel.cpp moc_Item.cpp moc_Category.cpp moc_List.cpp moc_CategoryDialog.cpp moc_ItemDialog.cpp moc_PreferencesDialog.cpp moc_LabelEntry.cpp moc_ActiveLabel.cpp moc_NoteWidget.cpp moc_mainwindow.cpp moc_notify.cpp moc_ItemView.cpp moc_CategoryView.cpp moc_ListView.cpp moc_QFingerScrollArea.cpp moc_Gesture.cpp moc_qorientationcapability.cpp
moc_CatListModel.cpp: src/shopperList.h \
		src/Item.h \
		src/Category.h \
		src/List.h \
		src/CatListModel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CatListModel.h -o moc_CatListModel.cpp

moc_Item.cpp: src/Item.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Item.h -o moc_Item.cpp

moc_Category.cpp: src/Category.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Category.h -o moc_Category.cpp

moc_List.cpp: src/List.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/List.h -o moc_List.cpp

moc_CategoryDialog.cpp: src/shopperList.h \
		src/Item.h \
		src/Category.h \
		src/List.h \

=== debian/changelog ===
shopper (0.5.12) unstable; urgency=low

  * Handles bad input XML now
  * Native File dialogs in Qt are buggy (not modal) so implemented simple
    exlusions. Also used class methods properly.
  * Disable editing category list when adding an item
  * Don't allow last category to be deleted
  * When current category is renamed, update the combo box
  * Fix category dialog spacing and up/down buttons
  * Stop toolbars being movable

 -- David Greaves <david@dgreaves.com>  Sat, 26 Jun 2010 18:37:57 +0100

=== debian/control ===
--- 
+++ 
@@ -38,9 +38,7 @@
  AQXRkTEAYlIsAAAAAElFTkSuQmCC
 XB-Maemo-Display-Name: Shopper
 XSBC-Bugtracker: https://bugs.maemo.org/
-XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
- Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
- Strikeout when out shopping and notes boxes have lines;
- Removed notify/toolbar icon; Items now appear in sorted order.
+XB-Maemo-Upgrade-Description: N900 version of Shopper.
+ Has gestures, import, multiple list support.
  Help on the website:
         http://shopper.garage.maemo.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

APPNAME := shopper
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## shopper 0.5.13

=== debian/changelog ===
shopper (0.5.13) unstable; urgency=low

  * Fixes #11003 "Shopper don't save list when exiting application"

 -- David Greaves <david@dgreaves.com>  Sat, 12 Mar 2011 12:19:01 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  UbXQ2ZSYSKaxFbBLd9jrgc4P93zhxJ4Ws07Ue2mNus9F7DlDjlSqW3d0m6W/
  AQXRkTEAYlIsAAAAAElFTkSuQmCC
 XB-Maemo-Display-Name: Shopper
-XSBC-Bugtracker: https://bugs.maemo.org/
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Shopper
 XB-Maemo-Upgrade-Description: N900 version of Shopper.
  Has gestures, import, multiple list support.
  Help on the website:

## shopper 0.5.13-1

=== debian/changelog ===
shopper (0.5.13-1) unstable; urgency=low

  * Fixes #12059 "After shopper update it no longer opens"

 -- David Greaves <david@dgreaves.com>  Tue, 15 Mar 2011 17:07:21 +0000
